%
%+
%
% .. _cumul_precip.m:
%
% ==============
% cumul_precip.m
% ==============
%
% DESCRIPTION
% ===========
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% $URL$
%
% - fplod 20110805T140121Z cratos (Linux)
%
%   * " is not valid in matlab
% - fplod 20110705T125628Z cratos.locean-ipsl.upmc.fr (Linux)
%
%   * minimal header
%
%-
mfilename
%ifigure=1;
%ifigue=ifigure+1;
%figure(ifigure);
%nl=3;
%nc=3;
precip_journaliere=load('velingra_q_1961-2000.xsl.csv');
% initialise le tableau des mois pour chaque annee
domaine_month=1:12;
nbmonth=size(domaine_month,2);
% initialise le tableau contenant le cumul journalier
% pour l'annee choisie
cumulyear=zeros(365);
xdata=zeros(365);
%  choix de l'annee 
nban=1995;
lignes=find(precip_journaliere(:,1)<nban); 

   % boucle sur les mois et sur les mois                                    
    imonth=1;
     % calcul de la ligne contenant les precipitations du mois
     iligne=imonth+max(lignes);
     precip_journaliere(iligne,1)
     jmon=1:eomday(nban,imonth);
     cumulmonth=zeros(max(jmon));
    
     for j=1:max(jmon);
      cumulmonth(j)=sum(precip_journaliere(iligne,3:(j+2)));
      end
      cumulyear(jmon)=cumulmonth(jmon);
      xdata(jmon)=datenum(nban,imonth,jmon);
      jo=max(jmon);
         for imonth=2:12;
            iligne=imonth+max(lignes);
            precip_journaliere(iligne,1)
            jmon=1:eomday(nban,imonth);
            cumulmonth=zeros(max(jmon));
            for j=1:max(jmon);
              cumulmonth(j)=sum(precip_journaliere(iligne,3:(j+2)));
            end
            cumulyear(jo+1:jo+max(jmon))=cumulyear(jo)+cumulmonth(jmon);
            xdata(jo+1:jo+max(jmon))=datenum(nban,imonth,jmon);
            jo=jo+max(jmon);
        end
              
       startdate=datenum(nban,5,1);
       enddate=datenum(nban,11,30);
       periode=find((xdata(:,1) >=startdate) & (xdata(:,1) <=enddate));
    ifigure=1;
    plot(xdata(periode),cumulyear(periode),'-'); 
   % set x values were we want tick:one tick for decad of month
    %xticklabel=datestr(xdata(periode),1);
   %xtick=startdate:enddate;
    %set(gca,'XTick',xdata)
    xticklabel=datestr(xdata,'dd/mm/yyyy');
    %set(gca,'XTickLabel',xticklabel)
    % tous les 10 jours de chaque mois de chaque anne
    
    %set(gca,'xtick',xdata);
    %set(gca,'xticklabel',xticklabel); 
    xlabel(['day of the year' num2str(nban)]);
    ylabel('cumulyear(precip-journaliere) (mm)');
    title('cumul_precip of velingra precipitation for year');   

      
      
      
      
    

 
